package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.StoreStrategyDTO;

/**
 * @author guojx
 * @date 2019/7/4 9:44 AM
 */
public interface StoreStrategyApiService {

    /**
     * 新增 分组策略数据
     * @param storeStrategyDTO
     * @return
     */
    ServiceResponse<Integer> saveStoreGroupStrategy(StoreStrategyDTO storeStrategyDTO);


    /**
     * 删除分组策略（单条）
     * @param strategyId
     * @return
     */
    ServiceResponse<Integer> deleteStoreGroupStrategy(int strategyId);

    /**
     * 修改分组策略
     * @param storeStrategyDTO
     * @return
     */
    ServiceResponse<Integer> modifyStoreGroupStrategy(StoreStrategyDTO storeStrategyDTO);

    /**
     * 置底
     * @param strategyId
     * @param strategyType
     * @return
     */
    ServiceResponse<Integer> sortBottom(int strategyId, int strategyType);

    /**
     * 置顶
     * @param strategyId
     * @param strategyType
     * @return
     */
    ServiceResponse<Integer> sortTopping(int strategyId, int strategyType);

    /**
     * 设置排序值
     * @param strategyId
     * @param setValue
     * @param strategyType
     * @return
     */
    ServiceResponse<Integer> setStoreStrategySort(int strategyId, int setValue, int strategyType);

    /**
     * 分页查询分组策略数据
     * @param enterpriseId
     * @param search
     * @param strategyType
     * @param pageNum
     * @param pageSize
     * @return
     */
    ServiceResponse<Page<StoreStrategyDTO>> listStoreField(int enterpriseId, String search, int strategyType, Integer pageNum, Integer pageSize);
}
